<div class="md:px-8">
  <div class="flex items-center justify-between mt-8 mb-4">
    <div class="flex items-center">
      <nuxt-link to="/admin/shipping" class="text-decoration-none">
        <p class="mb-0 font-medium leading-6 text-content-subtitle">Settings</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium leading-6 text-content-main capitalize">
        Shipping
      </p>
    </div>
  </div>
  <div class="grid grid-cols-12 gap-8 mt-4 mt-md-8">
    <div class="md:col-span-3 col-span-12">
      <h4 class="text-content-main font-semibold text-lg">
        Shipping rates at checkout
      </h4>
      <p class="text-content-main text-sm">
        Using Shipping zones to define regions where you’ll ship. Use Shipping
        rates to define how much customers pay for shipping in those regions.
      </p>
    </div>
    <div class="md:col-span-9 col-span-12">
      <div
        class="bg-white rounded-md p-4"
        style="box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05)"
      >
        <div class="flex justify-between items-center">
          <h4 class="text-content-main font-semibold text-lg">Shipping Zone</h4>
          <nuxt-link
            to="/admin/shipping/add-shipping-zone"
            class="text-sm"
            style="color: #3b82f6"
          >
            Add Shipping zone
          </nuxt-link>
        </div>
        <div v-if="loadingTable">
          <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card">
          </v-skeleton-loader>
        </div>
        <div
          v-if="listShipping && listShipping.length && !loadingTable"
          v-for="(item,idx) in listShipping"
          :key="item + idx"
          class="flex justify-between items-center mt-4"
        >
          <div
            class="flex py-5 px-4 w-full"
            style="border-top: 1px solid #e5e7eb"
          >
            <div v-if="item.isRestOfWorld" class="w-12 h-12 mx-2">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="48"
                height="48"
                viewBox="0 0 48 48"
                fill="#000000"
              >
                <path
                  d="M35.8 34.78C35.28 33.18 33.78 32 32 32H30V26C30 25.4696 29.7893 24.9609 29.4142 24.5858C29.0391 24.2107 28.5304 24 28 24H16V20H20C20.5304 20 21.0391 19.7893 21.4142 19.4142C21.7893 19.0391 22 18.5304 22 18V14H26C27.0609 14 28.0783 13.5786 28.8284 12.8284C29.5786 12.0783 30 11.0609 30 10V9.18C35.86 11.54 40 17.28 40 24C40 28.16 38.4 31.94 35.8 34.78ZM22 39.86C14.1 38.88 8 32.16 8 24C8 22.76 8.16 21.56 8.42 20.42L18 30V32C18 33.0609 18.4214 34.0783 19.1716 34.8284C19.9217 35.5786 20.9391 36 22 36V39.86ZM24 4C21.3736 4 18.7728 4.51732 16.3463 5.52241C13.9198 6.5275 11.715 8.00069 9.85786 9.85786C6.10714 13.6086 4 18.6957 4 24C4 29.3043 6.10714 34.3914 9.85786 38.1421C11.715 39.9993 13.9198 41.4725 16.3463 42.4776C18.7728 43.4827 21.3736 44 24 44C29.3043 44 34.3914 41.8929 38.1421 38.1421C41.8929 34.3914 44 29.3043 44 24C44 21.3736 43.4827 18.7728 42.4776 16.3463C41.4725 13.9198 39.9993 11.715 38.1421 9.85786C36.285 8.00069 34.0802 6.5275 31.6537 5.52241C29.2272 4.51732 26.6264 4 24 4Z"
                  fill="black"
                />
              </svg>
            </div>
            <div v-else class="w-12 mx-2">
              <div v-if="item.listCountry.length === 1">
                <CountryFlag
                  :country="item.listCountry[0]"
                  size="big"
                  class="w-full h-full rounded"
                />
              </div>
              <div v-if="item.listCountry.length > 1">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  width="48"
                  height="48"
                  viewBox="0 0 48 48"
                  fill="#000000"
                >
                  <path
                    d="M35.8 34.78C35.28 33.18 33.78 32 32 32H30V26C30 25.4696 29.7893 24.9609 29.4142 24.5858C29.0391 24.2107 28.5304 24 28 24H16V20H20C20.5304 20 21.0391 19.7893 21.4142 19.4142C21.7893 19.0391 22 18.5304 22 18V14H26C27.0609 14 28.0783 13.5786 28.8284 12.8284C29.5786 12.0783 30 11.0609 30 10V9.18C35.86 11.54 40 17.28 40 24C40 28.16 38.4 31.94 35.8 34.78ZM22 39.86C14.1 38.88 8 32.16 8 24C8 22.76 8.16 21.56 8.42 20.42L18 30V32C18 33.0609 18.4214 34.0783 19.1716 34.8284C19.9217 35.5786 20.9391 36 22 36V39.86ZM24 4C21.3736 4 18.7728 4.51732 16.3463 5.52241C13.9198 6.5275 11.715 8.00069 9.85786 9.85786C6.10714 13.6086 4 18.6957 4 24C4 29.3043 6.10714 34.3914 9.85786 38.1421C11.715 39.9993 13.9198 41.4725 16.3463 42.4776C18.7728 43.4827 21.3736 44 24 44C29.3043 44 34.3914 41.8929 38.1421 38.1421C41.8929 34.3914 44 29.3043 44 24C44 21.3736 43.4827 18.7728 42.4776 16.3463C41.4725 13.9198 39.9993 11.715 38.1421 9.85786C36.285 8.00069 34.0802 6.5275 31.6537 5.52241C29.2272 4.51732 26.6264 4 24 4Z"
                    fill="black"
                  />
                </svg>
              </div>
            </div>
            <div class="px-3 w-full">
              <div class="flex items-center justify-between">
                <div class="flex items-center">
                  <h4 class="text-lg font-semibold text-gray-800">
                    {{item.name}}
                    <span
                      v-if="item.listCountry.length > 1"
                      class="text-sm font-normal"
                    >
                      ( {{item.listCountry.length}} countries )
                    </span>
                    <span v-else class="text-sm font-normal">
                      {{findCountryName(item.listCountry[0])}}
                    </span>
                  </h4>
                  <!-- <h4
                    v-if="item.isRestOfWorld"
                    class="text-lg font-semibold text-gray-800"
                  >
                    REST OF WORLD
                  </h4> -->
                </div>
                <nuxt-link
                  :to="`/admin/shipping/edit-shipping-zone/${item._id}`"
                  class="border-0 text-blue-500 text-sm"
                >
                  Edit
                </nuxt-link>
              </div>
              <div
                v-for="(price,idx) in item.listPrice"
                :key="price + idx"
                class="my-3"
              >
                <div class="flex items-center justify-between">
                  <div>
                    <p class="text-sm text-gray-800">{{price.name}}</p>
                    <p class="text-sm text-gray-500">
                      {{price.quantity}} -
                      <span v-if="item.listPrice[idx + 1]">
                        {{item.listPrice[idx+1].quantity -1}}
                      </span>
                      <span v-else> ∞ </span>
                      products
                    </p>
                  </div>
                  <p class="text-sm text-gray-800">{{price.price}} USD</p>
                </div>
                <div class="h-0.5 bg-bg-surface my-3"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
